<?php // Do not delete these lines
	if ('comments.php' == basename($_SERVER['SCRIPT_FILENAME']))
		die ('Please do not load this page directly. Thanks!');

        if (!empty($post->post_password)) { // if there's a password
            if ($_COOKIE['wp-postpass_' . COOKIEHASH] != $post->post_password) {  // and it doesn't match the cookie
				?>
				
				<p class="nocomments"><?php _e('This post is password protected. Enter the password to view comments', 'cleanwp'); ?>.<p>
				
				<?php
				return;
            }
        }

?>

<!-- You can start editing here. -->

<?php if ($comments) : ?>
		
			<!-- Comment Block -->
			<ul class="comments">

	<?php foreach ($comments as $comment) : ?>
	
						<li>
							<div class="comment_meta" id="comment-<?php comment_ID() ?>">
								<p class="user"><?php comment_author(); ?></p>
								<p class="date"><?php comment_date('d') ?> <strong><?php comment_date('M') ?></strong> <?php comment_date('Y') ?></p>
							</div>
							<div class="comment_element">
								<div class="comment_post">
									<?php comment_text(); ?>
									<?php if ($comment->comment_approved == '0') : ?>
									<em><?php _e('Your comment is awaiting moderation', 'cleanwp'); ?>.</em>
									<?php endif; ?>	
								</div>
								<p><?php edit_comment_link('Edit Comment','',''); ?></p>
							</div>
						</li>		

	<?php endforeach; /* end for each comment */ ?>
	
			</ul><!--/.comments-->


 <?php else : // this is displayed if there are no comments so far ?>

  <?php if ('open' == $post->comment_status) : ?> 
		<!-- If comments are open, but there are no comments. -->
		
	 <?php else : // comments are closed ?>
		<!-- If comments are closed. -->
		<p class="nocomments"><?php _e('Comments are closed', 'cleanwp'); ?>.</p>
		
	<?php endif; ?>
<?php endif; ?>

<a name="respond"></a>	
<?php if ('open' == $post->comment_status) : ?>

	<!-- Comment form -->
		<div class="comment_form">
<?php if ( get_option('comment_registration') && !$user_ID ) : ?>
<p><?php _e('You must be', 'cleanwp'); ?> <a href="<?php echo get_option('siteurl'); ?>/wp-login.php?redirect_to=<?php the_permalink(); ?>"><?php _e('logged in', 'cleanwp'); ?></a> <?php _e('to post a comment', 'cleanwp'); ?>.</p>
<?php else : ?>					
			<h2><?php _e('Comment this article', 'cleanwp'); ?></h2>
			<form name="form" action="<?php echo get_option('siteurl'); ?>/wp-comments-post.php" method="post">
				<fieldset>
					<div class="form_wrap">
					<?php if ( $user_ID ) : ?>
						<p><?php _e('Logged in as', 'cleanwp'); ?> <a href="<?php echo get_option('siteurl'); ?>/wp-admin/profile.php"><?php echo $user_identity; ?></a>. <a href="<?php echo get_option('siteurl'); ?>/wp-login.php?action=logout" title="Log out of this account">Logout &raquo;</a></p>
					<?php else : ?>						
						<div class="form_element">
							<label><?php _e('Your name', 'cleanwp'); ?></label>
							<input type="text" name="author" id="author" value="<?php echo $comment_author; ?>" />
						</div>
						<div class="form_element">
							<label><?php _e('E-Mail', 'cleanwp'); ?></label>
							<input type="text" name="email" id="email" value="<?php echo $comment_author_email; ?>" />
						</div>
						<div class="form_element">
							<label><?php _e('Website', 'cleanwp'); ?></label>
							<input type="text"  name="url" id="url" value="<?php echo $comment_author_url; ?>" />
						</div>
					<?php endif; ?>		
						<div class="text_field">
							<label><?php _e('Comment', 'cleanwp'); ?></label>
							<textarea rows="10" cols="10" name="comment" id="comment"></textarea>
						</div>
						<div class="btn">
							<input type="submit" value="<?php _e('Send', 'cleanwp'); ?>" />
							<input type="hidden" name="comment_post_ID" value="<?php echo $id; ?>" />				
							<?php do_action('comment_form', $post->ID); ?>
						</div>
					</div>
				</fieldset>
			</form>
		</div>


<?php endif; // If registration required and not logged in ?>

<?php endif; // if you delete this the sky will fall on your head ?>
