<?php

/* Begins the settings page in the wordpress dashboard */
	
function settingsPage(){ // Updates Settings Options
    if(isset($_POST['submitted']) && $_POST['submitted'] == "yes"){
        //Get form data
		
		$FooterTitle = $_POST['FooterTitle'];
		$FooterTxt = $_POST['FooterTxt'];
		
		update_option("FooterTitle", $FooterTitle);
		update_option("FooterTxt", $FooterTxt);
	
        echo "<div id=\"message\" class=\"updated fade\"><p><strong>" . __('Your settings have been saved.', 'cleanwp') . "</strong></p></div>";
    }
?>

<div class="wrap options">
	
	<form method="post" name="markted" target="_self">
	
  <h2 class="settitle"><a href="http://www.stylish-templates.de?utm_source=Template-Links&utm_medium=Banner&utm_content=cleanwpWP&utm_campaign=Template-Links" target="_blank"><?php _e('CleanWP Settings', 'cleanwp'); ?></a></h2>
	
	<div class="settingsBox">
    <!-- Header Settings --> 
    <div class="setHead">
  			<h3><?php _e('Home Settings', 'cleanwp'); ?></h3>
  			<div class="setButton">
  				<input name="submitted" type="hidden" value="yes" />
  				<input type="submit" name="Submit" value="<?php _e('Save', 'cleanwp'); ?>" />	
  			</div>
  			<div class="clear"></div>
  		</div>
  		<div class="settings">
  			<div class="setting">
  				<div class="left header">
  					<strong><?php _e('Header image', 'cleanwp'); ?></strong>
  					<?php _e('Set your personal Header image', 'cleanwp'); ?>
  				</div>
  				<div class="right">
            <a href="themes.php?page=custom-header"><?php _e('Click here to set your personal header image', 'cleanwp'); ?><br /></a>
  				</div>
  				<div class="clear"></div>
  			</div>	
  		</div>
    
    <!-- Footer Settings -->
  		<div class="setHead">
  			<h3><?php _e('Footer settings', 'cleanwp'); ?></h3>
  			<div class="setButton">
  				<input name="submitted" type="hidden" value="yes" />
  				<input type="submit" name="Submit" value="<?php _e('Save', 'cleanwp'); ?>" />	
  			</div>
  			<div class="clear"></div>
  		</div>
  		<div class="settings">
  			<div class="setting">
  				<div class="left footer">
  					<strong><?php _e('Footer title', 'cleanwp'); ?></strong>
  					<?php _e('Enter the title of your footer', 'cleanwp'); ?>
  				</div>
  				<div class="right">
  					<input type="text" name="FooterTitle" value="<?php echo get_option('FooterTitle'); ?>" />
  					<small><?php _e('e.g.:', 'cleanwp'); ?> <strong><?php _e('Lorem Ipsum', 'cleanwp'); ?></strong></small>
  				</div>
  				<div class="clear"></div>
  			</div>
  				
  			<div class="setting">
  				<div class="left footer">
  					<strong><?php _e('Footer content', 'cleanwp'); ?></strong>
  					<?php _e('Enter your footer content', 'cleanwp'); ?>
  				</div>
  				<div class="right">
  					<textarea name="FooterTxt" style="height: 150px;"><?php echo (get_option('FooterTxt')); ?></textarea>
  					<small><?php _e('e.g.:', 'cleanwp'); ?> <strong>&lt;p&gt;<?php _e('You can use XHTML', 'cleanwp'); ?>&lt;/p&gt;</strong></small>
  				</div>
  				<div class="clear"></div>
  			</div>
  		</div>
      
      <!-- ST info -->
  		<div class="setHead">
  			<h3><?php _e('Stylish Templates', 'cleanwp'); ?> </h3>
  			<div class="clear"></div>
  		</div>
  		<div class="settings">
    		<div class="setting">
        	<div class="left buy">
      			<strong><?php _e('Buy this theme', 'cleanwp'); ?></strong>
            <?php _e('Buy this theme and get rid of sponsor links', 'cleanwp'); ?>  			
      		</div>
      		<div class="right">
            <p><a href="http://www.stylish-templates.de/kontakt/templates-kaufen?utm_source=Template-Links&utm_medium=Banner&utm_content=cleanwpWP&utm_campaign=Template-Links" title="" target="_blank"><?php _e('Buy this Wordpress theme', 'cleanwp'); ?></a></p>
      		</div>
      		<div class="clear"></div>      
    		</div>
    		<div class="setting">
        	<div class="left news">
      			<strong><?php _e('Newsletter', 'cleanwp'); ?></strong>
            <?php _e('Sign up for our newsletter to get updates for our themes', 'cleanwp'); ?>  			
      		</div>
      		<div class="right">
            <p><a href="http://www.stylish-templates.de/newsletter?utm_source=Template-Links&utm_medium=Banner&utm_content=cleanwpWP&utm_campaign=Template-Links" title="" target="_blank"><?php _e('Sign up for our newsletter', 'cleanwp'); ?></a></p>
      		</div>
      		<div class="clear"></div>      
    		</div>  		
    		<div class="setting">
        	<div class="left bug">
      			<strong><?php _e('Report a bug', 'cleanwp'); ?></strong>
            <?php _e('Found a bug? Let us know! Please include informations about your browser', 'cleanwp'); ?>  			
      		</div>
      		<div class="right">
        	  <p><a href="http://www.stylish-templates.de/bug-reporting?utm_source=Template-Links&utm_medium=Banner&utm_content=cleanwpWP&utm_campaign=Template-Links" title="" target="_blank"><?php _e('Report a bug in this theme', 'cleanwp'); ?></a></p>
      		</div>
      		<div class="clear"></div>      
    		</div>
      </div>
      
      <div class="settings">
    		<div class="setting">
        	<div class="left license">
      			<strong><?php _e('Terms of License', 'cleanwp'); ?></strong>
            <?php _e('Please read our licensing terms before using this Wordpress theme', 'cleanwp'); ?>  			
      		</div>
      		<div class="right">
        	  <p><a href="<?php _e('http://www.stylish-templates.de/lizenzbedingungen?utm_source=Template-Links&utm_medium=Banner&utm_content=cleanwpWP&utm_campaign=Template-Links', 'cleanwp'); ?>" target="_blank"><?php _e('Stylish Templates Theme License', 'cleanwp'); ?></a></p>
      		</div>
      		<div class="clear"></div>      
    		</div>
      </div>
  	</div>				
  	</div>	
  </form>
</div>

<?php 
}

function stylish_options() {
    $url = get_bloginfo('stylesheet_directory') . '/options/st-theme-options.css';
    echo '<link rel="stylesheet" type="text/css" href="' . $url . '" />';
}

add_action('admin_head', 'stylish_options');

?>